kind: Node
apiVersion: v1
metadata:
  name: master-0-0
  uid: 8d2dbed0-9c33-47bc-957d-266949258804
  resourceVersion: '526863'
  creationTimestamp: '2024-08-05T11:17:05Z'
  labels:
    beta.kubernetes.io/arch: amd64
    beta.kubernetes.io/os: linux
    kubernetes.io/arch: amd64
    kubernetes.io/hostname: master-0-0
    kubernetes.io/os: linux
    node-role.kubernetes.io/control-plane: ''
    node-role.kubernetes.io/master: ''
    node.openshift.io/os_id: rhcos
  annotations:
    machineconfiguration.openshift.io/controlPlaneTopology: HighlyAvailable
    machineconfiguration.openshift.io/lastObservedServerCAAnnotation: 'false'
    is-reboot-capable.self-node-remediation.medik8s.io: 'true'
    k8s.ovn.org/node-subnets: '{"default":["10.128.0.0/23"]}'
    machineconfiguration.openshift.io/lastAppliedDrain: uncordon-rendered-master-bba8989662c91fc4a35410e14bfb8fc9
    k8s.ovn.org/node-mgmt-port-mac-address: 'd6:8c:d1:82:41:d8'
    machineconfiguration.openshift.io/currentConfig: rendered-master-bba8989662c91fc4a35410e14bfb8fc9
    machineconfiguration.openshift.io/desiredConfig: rendered-master-bba8989662c91fc4a35410e14bfb8fc9
    machineconfiguration.openshift.io/lastSyncedControllerConfigResourceVersion: '519848'
    k8s.ovn.org/node-primary-ifaddr: '{"ipv4":"192.168.123.86/24"}'
    k8s.ovn.org/node-transit-switch-port-ifaddr: '{"ipv4":"100.88.0.2/16"}'
    k8s.ovn.org/node-id: '2'
    k8s.ovn.org/remote-zone-migrated: master-0-0
    k8s.ovn.org/zone-name: master-0-0
    volumes.kubernetes.io/controller-managed-attach-detach: 'true'
    machineconfiguration.openshift.io/desiredDrain: uncordon-rendered-master-bba8989662c91fc4a35410e14bfb8fc9
    self-node-remediation.medik8s.io/watchdog-timeout: '0'
    k8s.ovn.org/node-chassis-id: b29c8d86-2b9a-46bd-8a10-806035a79917
    k8s.ovn.org/host-cidrs: '["192.168.123.86/24"]'
    k8s.ovn.org/l3-gateway-config: '{"default":{"mode":"shared","interface-id":"br-ex_master-0-0","mac-address":"52:54:00:36:4f:f5","ip-addresses":["192.168.123.86/24"],"ip-address":"192.168.123.86/24","next-hops":["192.168.123.1"],"next-hop":"192.168.123.1","node-port-enable":"true","vlan-id":"0"}}'
    machineconfiguration.openshift.io/reason: ''
    k8s.ovn.org/node-gateway-router-lrp-ifaddr: '{"ipv4":"100.64.0.2/16"}'
    machine.openshift.io/machine: openshift-machine-api/ocp-edge-cluster-0-tvkcj-master-0
    machineconfiguration.openshift.io/state: Done
    k8s.ovn.org/network-ids: '{"default":"0"}'
  managedFields:
    - manager: ancient-changes
      operation: Update
      apiVersion: v1
      time: '2024-08-05T11:27:32Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:volumes.kubernetes.io/controller-managed-attach-detach': {}
            'f:k8s.ovn.org/network-ids': {}
            .: {}
            'f:k8s.ovn.org/node-gateway-router-lrp-ifaddr': {}
            'f:machineconfiguration.openshift.io/controlPlaneTopology': {}
            'f:k8s.ovn.org/node-transit-switch-port-ifaddr': {}
            'f:k8s.ovn.org/node-id': {}
            'f:k8s.ovn.org/node-subnets': {}
            'f:machineconfiguration.openshift.io/lastAppliedDrain': {}
          'f:labels':
            'f:beta.kubernetes.io/arch': {}
            'f:node-role.kubernetes.io/master': {}
            'f:kubernetes.io/hostname': {}
            'f:node-role.kubernetes.io/control-plane': {}
            'f:kubernetes.io/arch': {}
            .: {}
            'f:beta.kubernetes.io/os': {}
            'f:kubernetes.io/os': {}
            'f:node.openshift.io/os_id': {}
    - manager: machine-controller-manager
      operation: Update
      apiVersion: v1
      time: '2024-08-05T11:31:09Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:providerID': {}
    - manager: nodelink-controller
      operation: Update
      apiVersion: v1
      time: '2024-08-05T11:31:09Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:machine.openshift.io/machine': {}
    - manager: machine-config-daemon
      operation: Update
      apiVersion: v1
      time: '2024-08-06T10:29:04Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:machineconfiguration.openshift.io/currentConfig': {}
            'f:machineconfiguration.openshift.io/desiredConfig': {}
            'f:machineconfiguration.openshift.io/desiredDrain': {}
            'f:machineconfiguration.openshift.io/lastObservedServerCAAnnotation': {}
            'f:machineconfiguration.openshift.io/lastSyncedControllerConfigResourceVersion': {}
            'f:machineconfiguration.openshift.io/reason': {}
            'f:machineconfiguration.openshift.io/state': {}
    - manager: master-0-0
      operation: Update
      apiVersion: v1
      time: '2024-08-06T10:35:37Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.ovn.org/host-cidrs': {}
            'f:k8s.ovn.org/l3-gateway-config': {}
            'f:k8s.ovn.org/node-chassis-id': {}
            'f:k8s.ovn.org/node-mgmt-port-mac-address': {}
            'f:k8s.ovn.org/node-primary-ifaddr': {}
            'f:k8s.ovn.org/remote-zone-migrated': {}
            'f:k8s.ovn.org/zone-name': {}
      subresource: status
    - manager: Go-http-client
      operation: Update
      apiVersion: v1
      time: '2024-08-06T10:35:47Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:is-reboot-capable.self-node-remediation.medik8s.io': {}
            'f:self-node-remediation.medik8s.io/watchdog-timeout': {}
        'f:spec':
          'f:unschedulable': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2024-08-06T10:38:03Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:taints': {}
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2024-08-06T10:39:44Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:allocatable':
            'f:memory': {}
          'f:capacity':
            'f:memory': {}
          'f:conditions':
            'k:{"type":"DiskPressure"}':
              'f:lastHeartbeatTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
            'k:{"type":"MemoryPressure"}':
              'f:lastHeartbeatTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
            'k:{"type":"PIDPressure"}':
              'f:lastHeartbeatTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
            'k:{"type":"Ready"}':
              'f:lastHeartbeatTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
          'f:images': {}
          'f:nodeInfo':
            'f:bootID': {}
      subresource: status
spec:
  providerID: 'baremetalhost:///openshift-machine-api/openshift-master-0-0/18c7e207-e24a-43dd-88cd-8875cde09421'
  unschedulable: true
  taints:
    - key: node-role.kubernetes.io/master
      effect: NoSchedule
    - key: medik8s.io/remediation
      value: self-node-remediation
      effect: NoExecute
      timeAdded: '2024-08-06T10:35:47Z'
    - key: node.kubernetes.io/unschedulable
      effect: NoSchedule
      timeAdded: '2024-08-06T10:35:47Z'
status:
  capacity:
    cpu: '16'
    ephemeral-storage: 41352172Ki
    hugepages-1Gi: '0'
    hugepages-2Mi: '0'
    memory: 32844516Ki
    pods: '250'
  allocatable:
    cpu: 15500m
    ephemeral-storage: '37036419829'
    hugepages-1Gi: '0'
    hugepages-2Mi: '0'
    memory: 31693540Ki
    pods: '250'
  conditions:
    - type: MemoryPressure
      status: 'False'
      lastHeartbeatTime: '2024-08-06T10:39:44Z'
      lastTransitionTime: '2024-08-06T10:38:03Z'
      reason: KubeletHasSufficientMemory
      message: kubelet has sufficient memory available
    - type: DiskPressure
      status: 'False'
      lastHeartbeatTime: '2024-08-06T10:39:44Z'
      lastTransitionTime: '2024-08-06T10:38:03Z'
      reason: KubeletHasNoDiskPressure
      message: kubelet has no disk pressure
    - type: PIDPressure
      status: 'False'
      lastHeartbeatTime: '2024-08-06T10:39:44Z'
      lastTransitionTime: '2024-08-06T10:38:03Z'
      reason: KubeletHasSufficientPID
      message: kubelet has sufficient PID available
    - type: Ready
      status: 'True'
      lastHeartbeatTime: '2024-08-06T10:39:44Z'
      lastTransitionTime: '2024-08-06T10:38:03Z'
      reason: KubeletReady
      message: kubelet is posting ready status
  addresses:
    - type: InternalIP
      address: 192.168.123.86
    - type: Hostname
      address: master-0-0
  daemonEndpoints:
    kubeletEndpoint:
      Port: 10250
  nodeInfo:
    containerRuntimeVersion: 'cri-o://1.29.6-5.rhaos4.16.git940ae8b.el9'
    machineID: 90ec182c22d84288b005a8981988c72f
    kubeletVersion: v1.29.6+aba1e8d
    systemUUID: 90ec182c-22d8-4288-b005-a8981988c72f
    bootID: 62f1304c-cc21-438e-8cb8-52f014e27083
    operatingSystem: linux
    architecture: amd64
    osImage: Red Hat Enterprise Linux CoreOS 416.94.202407251849-0
    kubeProxyVersion: v1.29.6+aba1e8d
    kernelVersion: 5.14.0-427.28.1.el9_4.x86_64
  images:
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:57b08d9bf791e31d61a6e3e0cbb1a9975a2f03fa16b7122b72ebfd9e1dd53381'
      sizeBytes: 1347068447
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:af156519e812f1e7457d8c6179e328b64252a78002d4d4acf44bad9b560bce77'
      sizeBytes: 1222138150
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:fc67ca068e082b1dc595b86586e4b4a4244eeb59b41031c07f96f2c05061216e'
      sizeBytes: 1067329496
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:8583aa9d6f8a872b519a89c462be522df5ac3329726cd25f364f6d9b6bb9f1e5'
      sizeBytes: 827737137
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:defbb57f4be28680ab5248d6a028d0953b6b9eefd0246754238b469731816f82'
      sizeBytes: 775376317
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:38908b9399e701739ede8d02ea28fa734a992a7657324a6cccd3c36de0676f29'
      sizeBytes: 713317005
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3c08e59eecbe3f4bba50c055c3393dbbde75de6fc5a2cb254921759a3559c614'
      sizeBytes: 685353369
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:699640d9d6b0e72589087f2b39a102b9cf816327171d449110bb12b8062ca656'
      sizeBytes: 668644191
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6f1cad19a30390d98e6f45e55ded875855480ab982ee55db3e4c843e6f2be640'
      sizeBytes: 596759657
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:fbb9aef83ccbad35b4c6001d1f0d9e7749e15fe1c6445502a65b3ed9c844c7b4'
      sizeBytes: 562466406
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:032d9a44076594618bf4c8dab58155843b576533f43d161f7168db733df000e4'
      sizeBytes: 527251785
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:5cde54d71fe5415e050bccaa3972c4091eec9dd7248f78a4a5ac5a260e221cbe'
      sizeBytes: 507418502
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:db18deb3137782b3ee8bed63baa47c244b0c252bda35fa03eff18738cfef4920'
      sizeBytes: 503886126
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:c6db0d3f35294c42fa01bbd39abaf72da2153d84dcc57796dc4e6b1ca0c46fd8'
      sizeBytes: 503334713
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d9adae98c4e8878016a57df5e7b5932cf7949b12ec5eab53eac8a5e8e8913c36'
      sizeBytes: 500035734
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:73ef8d5fb16834acf6f377780ce149c61cef0146463a5fe8b864845745fff5ec'
      sizeBytes: 498455942
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3dbd93709e891c2ef31f0e53facfe97b1e8aa3746cddc3b80783ebce150a25ed'
      sizeBytes: 497222628
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:37b7a73669052d17e6daaf245cc3490e0faabaff994ef075682dee6b79d5c530'
      sizeBytes: 494305060
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3b863c8a267fce399d2ee703aec2aa5ef726b3f66e414acb66916fe462d8468c'
      sizeBytes: 491875462
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3e46bf4c5952793b5bd9aee06280e57eb07a61cd6be3dc411c4c2242e62dd151'
      sizeBytes: 482251358
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2582a43df5951e871ae873f53f88fb09a5c76a399943ca009cc05127c1bbe29a'
      sizeBytes: 474786337
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3efbfad53f80bd8988582c9047caf18ba8f184cb8d7afaecbac1b78d38ae4b9a'
      sizeBytes: 464146248
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6dc39303471c93e1f017cd28bb3f2e751f12941d4e5b7449fed149b3ec17d90c'
      sizeBytes: 452191443
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a5cb7d5a2a3ffba65bc28bedfbde22aaf0a84af29eb9892a35636e00a98af5fa'
      sizeBytes: 425364477
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3dfb0d79df7f32aae73d658e39b57dd947f9828573a5870e72dd758275f879a0'
      sizeBytes: 414260637
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:1ef941527921b31a5191a69e647788af4fa186fb623266df8a4aa592e82270b6'
      sizeBytes: 410986340
    - names:
        - 'quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:5e4bf03c5f9b61c47711e488588cd3e04cae1d534157928af8f648906a006b0e'
      sizeBytes: 400449718
    - names:
        - 'registry.redhat.io/workload-availability/self-node-remediation-rhel8-operator@sha256:771c5ba544599518e60c1c50e01cc7c951299255ce7f30a8b6e1bb9b127c6697'
        - 'registry.redhat.io/workload-availability/self-node-remediation-rhel8-operator@sha256:94064efd7553384584c0dd99775348e1448a047e646b218ca2e80a799a0bf006'
      sizeBytes: 259394256
